curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/accounting-synced-records/{synced_record_id}/push \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_pulled_at": "2023-11-07T05:31:56Z",
"object_type": "product",
"sync_status": "pending",
"errors": {},
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_updated_at": "2023-11-07T05:31:56Z",
"platform": "xero",
"platform_object_id": "<string>",
"platform_updated_at": "2023-11-07T05:31:56Z",
"provider": "codat",
"provider_object_id": "<string>",
"provider_updated_at": "2023-11-07T05:31:56Z"
}Push object to the accounting system manually
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/accounting-synced-records/{synced_record_id}/push \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_pulled_at": "2023-11-07T05:31:56Z",
"object_type": "product",
"sync_status": "pending",
"errors": {},
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_updated_at": "2023-11-07T05:31:56Z",
"platform": "xero",
"platform_object_id": "<string>",
"platform_updated_at": "2023-11-07T05:31:56Z",
"provider": "codat",
"provider_object_id": "<string>",
"provider_updated_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Successful Response
product, customer, vendor, receivable, bill, payment_record pending, error, done xero, quickbooks, quickbooks_online, quickbooks_online_sandbox codat, railz Was this page helpful?